/*
 * amati-r1-map-general-sw1-as-soft-power.dtsi - Adds to gpio-keys the
 * generic SW1 on amati r1 as a soft power button.
 *
 * Copyright (c) 2018 Sensics, Inc. All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 2 of the License.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
 * more details.
 */

#include <dt-bindings/gpio/gpio.h>
#include <dt-bindings/gpio/tegra186-gpio.h>

/ {
	gpio-keys {
		// This is the "for future expansion" switch populated in the top left
		// and marked only "SW1". Can't turn on using it, but you can talk to
		// Android with it.
		soft-power {
			label = "Soft Power";
			gpios = <&tegra_main_gpio	TEGRA_MAIN_GPIO(B, 5) GPIO_ACTIVE_LOW>;
			linux,code = <KEY_POWER>;
			gpio-key,wakeup;
		};
	};
};
